Project

General

Profile

Bug #15227

Wrong version of ruby is used during tests

Added by Kulikjak (Jakub Kulik) about 1 year ago. Updated about 1 month ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 2.5.1p57 (2018-03-29 revision 63029) [sparcv9-solaris2.11]
[ruby-core:89422]

Description

When I installed ruby 2.5 and run its internal tests, I noticed relocation error:

ld.so.1: ruby: fatal: relocation error: file /usr/ruby/2.1/bin/ruby: symbol rb_cFixnum: referenced symbol not found

Problem isn't the error itself but the fact that tests are using ruby 2.1 (which is also installed on the machine and is the default version) instead of the one it should be testing. When I install ruby 2.5 and set it as main version (ruby link points to -> ruby2.5), the error message goes away. I wasn't able to locate it but i believe that somewhere tests are using just ruby and not absolute path to version 2.5.

Maybe I don't have something set correctly, but even the ruby -v command right above the error line tells me that it is using ruby 2.5.1.

Whole test output is attached.


Files

ruby_sparc_test_output.txt (25.1 KB) ruby_sparc_test_output.txt Kulikjak (Jakub Kulik), 10/16/2018 02:46 PM

History

#1

Updated by jeremyevans0 (Jeremy Evans) about 1 month ago

  • Status changed from Open to Closed

Also available in: Atom PDF